Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nodejs-sphericalmercator
Version:        1.0.4
Release:        alt1_7
Summary:        Transformations between Spherical Mercator and Lat/Lon

License:        BSD
URL:            https://github.com/mapbox/node-sphericalmercator
Source0:        http://registry.npmjs.org/sphericalmercator/-/sphericalmercator-%{version}.tgz
BuildArch:      noarch

BuildRequires:  node-devel rpm-build-nodejs

BuildRequires:  npm(tape)
Source44: import.info

%description
Provides projection math for converting between mercator meters, screen
pixels (of 256x256 or configurable-size tiles), and latitude/longitude.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/sphericalmercator
cp -pr package.json sphericalmercator.js %{buildroot}/%{nodejs_sitelib}/sphericalmercator
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.test.js


%files
%doc README.md
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/sphericalmercator


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2
- fc import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_1
- initial import

